## python-mbed-host-tests 1.4.4

=== debian/changelog ===
python-mbed-host-tests (1.4.4-5) unstable; urgency=medium

  * d/python-mbed-host-tests-doc.links:
    - Add convenience link to python3-mbed-host-tests package
  * d/salsa-ci.yml:
    - Add Salsa CI pipeline

 -- Nick Morrott <nickm@debian.org>  Sun, 07 Feb 2021 10:04:00 +0000

python-mbed-host-tests (1.4.4-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control:
    - Update Maintainer field with new Debian Python Team contact address.
    - Update Vcs-* fields with new Debian Python Team Salsa layout.

  [ Nick Morrott ]
  * d/control:
    - Declare compliance with Debian Policy 4.5.1
    - Rename -doc package to drop Python version
  * d/copyright:
    - Refresh years of Debian copyright
  * d/lintian-overrides:
    - Drop list of applications in context match
  * d/u/metadata:
    - Remove obsolete field Contact (already present in machine-readable
      debian/copyright)

 -- Nick Morrott <nickm@debian.org>  Wed, 06 Jan 2021 05:40:45 +0000

python-mbed-host-tests (1.4.4-3) unstable; urgency=medium

  * d/lintian-overrides:
    - Refresh overrides for lintian changes
  * d/manpages:
    - Update author email address
    - Improve formatting of custom manpages
  * d/patches:
    - Mark Forwarding as unnecessary for Debian-specific patch

 -- Nick Morrott <nickm@debian.org>  Fri, 31 Jul 2020 17:57:42 +0100

python-mbed-host-tests (1.4.4-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Nick Morrott ]
  * d/control:
    - Bump Standards-Version to 4.5.0
    - Bump debhelper-compat level to 13
    - Add Rules-Requires-Root field, set to no
    - Update Uploaders to use my Debian email address
    - Mark python3-mbed-host-tests-doc as Multi-Arch: foreign
  * d/copyright:
    - Refresh years of Debian copyright
  * d/gbp.conf:
    - Use pristine-tar
  * d/tests:
    - Run autopkgtests against supported Python versions

 -- Nick Morrott <nickm@debian.org>  Fri, 19 Jun 2020 14:58:40 +0100

python-mbed-host-tests (1.4.4-1) unstable; urgency=medium

  * Initial release (Closes: #917384)

 -- Nick Morrott <knowledgejunkie@gmail.com>  Sun, 30 Dec 2018 18:30:27 +0100
