=== debian/control ===
Source: python-mbed-host-tests
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Nick Morrott <nickm@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 doxygen,
 pandoc,
 python3-all,
 python3-future,
 python3-intelhex,
 python3-mbed-ls,
 python3-mock,
 python3-prettytable (>= 0.7.2),
 python3-requests,
 python3-serial (>= 3.0),
 python3-setuptools,
 python3-six,
Standards-Version: 4.5.1
Homepage: https://github.com/ARMmbed/htrun
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-mbed-host-tests
Vcs-Git: https://salsa.debian.org/python-team/packages/python-mbed-host-tests.git
Rules-Requires-Root: no

Package: python3-mbed-host-tests
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-mbed-host-tests-doc,
Description: module and utilities to flash, reset and test Mbed Enabled devices
 The mbed-host-tests module and mbedhtrun and mbedflsh utilities are used
 during ARM Mbed Enabled device development for:
 .
  * Driving test binary flashing
  * Device reset
  * Test execution
 .
 The default binary flashing method is one supported by mbed-enabled devices:
 a binary file is copied onto the mbed-enabled DUT's (Device Under Test) mounted
 drive (MSD). This procedure will automatically flash device with given binary
 file content.
 .
 The default DUT reset method is one supported by mbed-enabled devices: the
 serial port (CDC) "sendBreak" command resets the target MCU on mbed-enabled
 platform.
 .
 The test execution phase will consist of:
 .
  * Opening connection between host computer and DUT
  * DUT will send to host preamble with test runner information such as:
    - test environment version
    - test timeout
    - preferred host test script (Python script which is used to
      supervise/instrument test execution)
  * Host will spawn host test script and test execution will be instrumented
  * Exchange data (in most cases text) between host and DUT
 .
 This package contains the Python 3 module and mbedhtrun and mbedflsh
 utilities.

Package: python-mbed-host-tests-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Enhances: python3-mbed-host-tests
Breaks: python3-mbed-host-tests-doc
Replaces: python3-mbed-host-tests-doc
Description: module and utilities to flash, reset and test Mbed Enabled devices (docs)
 The mbed-host-tests module and mbedhtrun and mbedflsh utilities are used
 during ARM Mbed Enabled device development for:
 .
  * Driving test binary flashing
  * Device reset
  * Test execution
 .
 The default binary flashing method is one supported by mbed-enabled devices:
 a binary file is copied onto the mbed-enabled DUT's (Device Under Test) mounted
 drive (MSD). This procedure will automatically flash device with given binary
 file content.
 .
 The default DUT reset method is one supported by mbed-enabled devices: the
 serial port (CDC) "sendBreak" command resets the target MCU on mbed-enabled
 platform.
 .
 The test execution phase will consist of:
 .
  * Opening connection between host computer and DUT
  * DUT will send to host preamble with test runner information such as:
    - test environment version
    - test timeout
    - preferred host test script (Python script which is used to
      supervise/instrument test execution)
  * Host will spawn host test script and test execution will be instrumented
  * Exchange data (in most cases text) between host and DUT
 .
 This package contains library and utility documentation.
