=== debian/tests/control ===
Tests: python3-mbed-host-tests
Depends: @builddeps@, @,
Restrictions: allow-stderr
